Configuration Utility Help

Version 4.4

Introduction

Software Suite

Configuration Utility is part of the Applied Physics Systems Software Suite. The Software Suite runs on a factory configured laptop running Microsoft Windows, optimized for our MWD Systems. Software and firmware updates and enhancements, released during the year, are listed in our MWD Software Update Bulletin on our Web site.

Configuration Utility

Detect EM Dipole

Directional Sensor Configuration

Firmware Update Sensor

Firmware Update Utility

Log Viewer

Universal Roll Test

Virtual Drill

Configuration Utility

Configuration Utility Help describes Applied Physics Systems Configuration Utility Software. Use this software to configure supported devices. Configuration tasks include collecting and saving device configurations, creating and saving custom configurations, updating device configurations, and resetting devices to their factory default configuration.

Supported Devices

Model AP250 EM Dipole

Short Hop

www.appliedphysics.com


Configuration Utility

Use Configuration Utility to perform these tasks.

  • Create and save custom configurations to files.

  • Collect and save configurations from devices.

  • Save configurations to devices.

  • Restore devices to their factory default configurations.

See Menus.

See Icons.

See Configuration Tabs.


Main Screen

The main screen displays all configuration tabs before a device is connected to and communicating with Configuration Utility. The configuration tabs change depending on the device connected. Once a device is connected, only the configuration tabs that support the device are displayed. The status bar displays a log file created each time Configuration Utility is run. The log file captures all the commands sent to and data received from the device during a session.

1. Run Configuration Utility.

A warning message appears when the COM port is not set.

2. Click OK.

3. Verify the COM port connecting the device to the MWD laptop. See COM Ports.

4. Select Tools > Connection Settings.

The Dipole COM Settings window appears.

5. Select the COM Port.

6. Select 9600 for the Baud Rate.

7. Click OK.

Status bar:

Detecting the Device Type. Please Wait.

When the dipole is communicating with Configuration Utility the following happens:

  • EM Dipole Detected. appears on the status bar.

  • Only configuration tabs that apply to the dipole remain on the screen.


Menus

File Menu

Device Menu

Tools Menu

Help Menu

Menus
File Menu | Load All Configuration From File | Writes a configuration file to the utility.
 | Save All Configuration To File | Saves the configuration in the utility to a file.
 | Load Only Custom Packets From File | Writes only custom packets from a configuration file to the utility.
Device Menu | Collect All Configuration | Collects the device's configuration and writes it to the utility.
 | Collect Only Custom Packet | Collects only custom packets from the device and writes it to the utility.
 | Write All Configuration | Writes the utilities' configuration to the device.
 | Write Only Custom Packets | Writes only custom packets in the utility to the device.
 | Reset to Factory Defaults | Writes the factory default configuration to the utility and device.
Tools Menu | Connection Settings | Selects the COM port and baud rate for the utility to communicate with the device.
 | Reconnect | Queries the device to establish communication.
 | Sync Device Time with System Time | Resets the device's clock to the MWD laptop's clock.
Help Menu | Config Help | Displays Configuration Utility Help.
 | About | Displays Applied Physics contact information.


Icons

Load Configuration From File | Writes a configuration file to the utility. Menu: File > Load All Configuration From File
Save Configuration To File | Saves the configuration in the utility to a file. Menu: File > Save All Configuration To File
Collect All Configuration | Collects the devices' configuration and writes it to the utility. Menu: Device > Collect All Configuration
Write All Configuration | Writes the utilities' configuration to the device. Menu: Device > Write All Configuration
Reset to Factory Defaults | Writes the factory default configuration to the utility and device. Menu: Device > Reset to Factory Defaults
Sync Device Time with System Time | Syncs the devices' clock with the clock on the MWD laptop running the utility. Menu: Tools > Sync Device Time with System Time
Terminal Font Size (8 - 30) | Sets the font size in the Terminal tab.
Activate / Deactivate Tool Tips | Activates or deactivates the messages when the cursor hovers over some configurable fields.
 | Stops the terminal from scrolling.


File Menu

Load All Configuration From File

Save All Configuration To File

Load Only Custom Packets From File


Load All Configuration From File

Use Load All Configuration From File to write a devices' configuration to the utility.

1. Select File > Load All Configuration From File.

2. Browse for the configuration file (.cfg) and Open.

The configuration is populated on the different tabs. Select each tab to view the configuration.


Save All Configuration To File

Use Save All Configuration To File to save the utilities' configuration (displayed on the screen) to a file.

1. Select File > Save All Configuration To File.

2. Enter a descriptive file name and Save.


Load Only Custom Packets From File

Use Load Only Custom Packets From File to write only the custom packets (instead of the entire configuration) from a configuration file to the utility.

1. Select File > Load Only Custom Packets From File from the menu.

2. Browse for a configuration file (.cfg) with custom packets and Open.

Status bar:

Current configuration displayed.

The configuration from the file is populated on the custom packets tabs.

Select the custom packets tab to view the configuration.


Device Menu

Collect All Configuration

Collect Only Custom Packets

Write All Configuration

Write Only Custom Packets

Reset to Factory Defaults


Collect All Configuration

Use Collect All Configuration to collect the devices' configuration and write it to the utility.

Select File > Collect All Configuration.

Note: While configuration is collected, transmissions are stopped.

Status bar:

Collecting current configuration. Please wait.

Current configuration displayed.

The configuration is populated on the different tabs.

Click each tab to view the configuration.


Collect Only Custom Packets

Use Collect Only Custom Packets to collect only the custom packets (instead of the entire configuration) from the device and display them in the utility.

See also Custom Packets Tab.

Select Device > Collect Only Custom Packets.

Status bar:

Downloading Configuration to Device. Please wait.

Download complete.

The configuration is populated on the custom packets tabs.

Select the custom packets tab to view the configuration.


Write All Configuration

Use Write All Configuration to write the utilities' configuration (displayed on the screen) to the device.

Select Device > Write All Configuration.

Status bar:

Downloading Configuration to Device. Please wait.

Download complete.


Write Only Custom Packets

Use Write Only Custom Packets to write only the custom packets (instead of the entire configuration) displayed in the utility to the device.

Select Device > Write Only Custom Packets from the menu.

Status bar:

Downloading Configuration to Device. Please wait.

Download complete.


Reset to Factory Defaults

Use Load Default Configuration to write the factory default configuration to the device and utility.

1. Select File > Load Default Configuration.

2. Select Yes to continue and reset the device.

Status bar:

Resetting factory Defaults. Please wait.

Collecting current configuration. Please wait.

Current configuration displayed.

The default configuration is populated on the different tabs.

Click each tab to view the configuration.


Tools Menu

Connection Settings

Reconnect

Sync Device Time with System Time


Connection Settings

Use Connection Settings to set the COM port and baud rate of the device connected to the MWD laptop.

1. Select Tools > Connection Settings.

2. Select the devices COM Port. See COM Ports.

3. Select 9600 for the Baud Rate.

4. Click OK.


Reconnect

Use Reconnect to query the device to establish communication or when having problems communicating with the device.

This error window appears when a communications error occurs.

1. Click OK.

2. Select Tools > Reconnect.

Status bar:

Detecting the Device Type. Please Wait.

EM Dipole Detected.


Sync Device with System Time

Sync Device Time with System Time

Use Sync Device Time with System Time to synchronize the devices' clock with the clock on the MWD laptop. Use this command to ensure the timestamp in the device's logs match the data collected on the laptop.

Select Tools > Sync Device Time with System Time.

When the sync is complete, the device time and date appear on the status bar.


Help Menu

Config Help

About


Config Help

Select Help > Config Help to display Configuration Utility Help.


About

Select Help > About to display Applied Physics Systems contact information.


Configuration Tabs

Basic Tab

Rotary Pulser Tab

Sensors Tab

Battery Tab

Custom Packets Tab

- Quick Start

- Create Shock and Vibration Packets

- Create 21-Bit High Resolution Packets

Short Hop Basic Tab

Short Hop Timers Tab

Dipole Control Tab

WITS Config Tab

Terminal Tab


Basic Tab

Use the Basic tab to configure the basics for devices, such as encoding mode and frequency.

Basic Tab

Device Information

Version:

Displays the firmware version, which cannot be set (read-only).

Rig Code (1 - 16):

Sets or displays the rig code. The rig code uniquely identifies the dipole when receiving packets in Detect.

<default = 1>

Data Transmission

The data sequence determines which packets are sent to the surface and when they are sent or how the dipole transmits information to the surface.

Sequence:

1 - Angle Survey + Toolface (CDS=1)

2 - Vectors (CDS=2)

3 - Angles + Gamma (CDS=3)

4 - Gamma Vector Survey Toolface (CDS=4)

5 - Angles Survey Only (CDS=5)

6 - Gamma Angles Survey Only (CDS=6)

7 - Angle + Pressure (CDS=7)

8 - Vectors + Pressure (CDS=8)

9 - Pressure + Gamma Angle Survey + Toolface (CDS=9)

10 - Vectors + Pressure + Gamma (CDS=10)

11 - Toolface Only (CDS=11)

12 - Toolface Only + Gamma (CDS=12)

13 - River Crossing (CDS=13)

14 - Angles + Precision Gamma (CDS=14)

15 - Near Bit/Short Angle Survey (CDS=15)

<default = 6>

Encoding:

The encoding determines how packets are recognized by the surface equipment and determines the available frequencies. The same encoding mode and frequency must also be set in Detect.

Chirp is a faster and more accurate method of recognizing packets. Chirp is the default and recommended encoding method.

Error Correction (ECC) is slower and more reliable in high noise environments.

Old is the first generation encoding method.

<default = Chirp>

Frequency (Hz):

Sets the dipole transmission frequency. The same encoding mode and frequency must also be set in Detect.

Chirp: 1.5, 2.5, 4, 5, 6, 7.5, 9

ECC: 1.5, 2.5, 4, 5, 6, 7.5, 9

Old: 2 to 9

Packet Description:

Describes the packet for each sequence.

Quiet Period Before Surveys (s)

On a pulser system, a specified amount of time to wait after flow stops before getting an accurate reading.

Range: 1 to 30

Downlink Settings

Three different downlinking options can scheduled to determined when and how downlinks will occur.

NEVER

Scheduled

After Rotation

After Surveys

A downlink will never occur.

Downlinks will occur at regular intervals after a certain time period configured by the user.

When rotation has stopped, a downlink packet 2 is sent to initiate downlinking, based on rotation behavior and not a scheduled time.

After a survey, a packet 2 is sent to initiate a downlink. This option is commonly used in rotation mode where rotation stops, then a certain number of surveys are sent (configured by the user) and then packet 2 is sent.

Time Between Downlinks (hh:mm:ss)

Sets the minimum time between surface downlinks.

Set to zero to turn off downlinking.

<default = 00:30:00>

Custom Downlink Delays is turned off when checked.

<default = unchecked>

Custom Downlink Delays (hh:mm:ss):

Customize up to 4 downlink delays to select when downlinking (0:, 1:, 2:, or 3:).

<default = 0, 5, 15, 30 minutes>

Power

Determines the signal strength and when dipole transmission starts.

Standard Power Settings (W)

Sets the antenna power level.

Range: 1 to 40

<default = 22>

Startup Delays (hh:mm:ss):

Sets the delay before the start of transmission and logging. Timer is started in Dipole Control tab.

<default = 00:00:00>

Disables the Startup Delay when checked.

<default = unchecked>

Log Settings

Sets the logging frequency and adds a custom identification string to the log file header. If the log is full, the dipole overwrites earliest records.

Log Delay (hh:mm:ss)

Sets the time between records being logged.

<default = 00:00:15>

Text to Header:

Sets the version string (maximum 20 characters).

<default = blank>

Clears the session log after confirming.

Records Used:

Displays the number of log records recorded (read-only).

Records Available:

Displays the number of log records available (read-only).

Rotation Sensing

Customizes the dipole's rotation behavior. Some directional sensors can sense rotation. For these sensors, the dipole has a rotation-sensing mode with configurable parameters. Rotation sensing helps to send appropriate packets types based on the state of the drill, making more effective use of bandwidth.

Use Rotation Sensing

Enables or disables (unchecked) rotation sensing mode.

<default = unchecked>

Start Rotation (hh:mm:ss):

Defines how long the tool should be at a certain RPM before rotation begins.

<default = 00:00:30>

Stop Rotation (hh:mm:ss):

Defines how long the tool should be below a certain RPM before rotation stops.

<default = 00:00:30>

Survey Packet Repeat Count (1-9):

Sets the number of survey packets sent when rotation stops.

Range: 1 to 9

<default = 3>

Power Increase When Rotating (%):

Permits power increase during rotation. Sets rotation power level (in percent over normal power).

Range: 0 to 150

<default = 0>

Survey Packet Insert Count (1-255):

Inserts a survey during a slide after selected number of slide packets.

Range: 1 to 255

<default = 1>

Disables the Survey Packet Insert Count when checked.

Minimum Rotation Rate (RPM):

Sets how many RPM's must be detected to be considered rotating.

Range: 0 to 65,000

<default = 30>

Rotation Sense Mode

Sets transmitter action when rotating. Can prohibit or allow uplinking and downlinking during rotation.

0 - Uplink and downlink permitted during rotation

1 - No uplink during rotation

2 - No uplink or downlink during rotation

3 - If gamma, no downlink during rotation


Rotary Pulser Tab

Use the Rotary Pulser tab to configure the pulser used with the mud pulse based MWD system.

Rotary Tab
Mud Pulse Settings
 | Survey Sample Delay (s) | Sets the time to allow the system to settle after the vibration switch has been deactivated before taking a survey.
 | Survey Send Delay (s) | Sets the time to allow the system to settle after the vibration switch has been reactivated before sending survey packets.
 | Log Delay When Not Pulsing (hh:mm:ss) |
Motor Controls
 | Motor Mode: | H: Move to Origin O: Move to Open Position C: Move to Closed Position M: Seek nearest Magnet N: Run W: Test Mode (Square Wave) F: Forward R: Reverse
 | Gear Ratio | 100:1 200:1
 | Vibration Threshold (g) | Sets the amount of vibration above which the vibration switch turns on. 100 to 4096 <default = 500>
 | Stall Duration (ms): | Sets the motor stall duration in milliseconds.
 | Motor (Duty Cycle): |
 | Motor Gain: |
 | Overcurrent (ADC counts) |
 | Gap (%) |
 | Home After # of Packets: |
 | Magnet Width |


Sensors Tab

Use the Sensors tab to configure settings for sensors.

Sensors Tab

TX CPU

Version

Displays the CPU version (read-only).

Gamma

Gamma Scaling:

Sets the multiplier for the gamma counts.

Determines the precision of the gamma value stored. Generally left at 1, except in special circumstances.

Range: 1 to 4

<default = 1>

Gamma Reset Delay (h:m:s)

Dipole will automatically reset if it does not receive a gamma packet from the gamma sensor before this time elapses.

If no gamma packets are received after waiting this long, the device will cycle sensor power in an attempt to get the sensor working again.

<default = 00:00:00>

Gamma Averaging (s)

Sets the length of time to average the gamma counts.

<default = 20>

Version:

Displays the gamma sensor version (read-only).

Pressure

Customizes the pressure calibration of the pressure sensors. The dipole can read 2 pressure sensors, #1 annular (outer) and #2 bore (inner).

Pressure Sensor Source:

Switches between the local (on dipole board) and net (separate pressure sensor) readings.

Local - Use the local pressure sensors.

External - Use the net pressure sensors.

<default = local>

Pressure 1 Offset:

Displays the pressure 1 offset (read-only).

Pressure 2 Offset:

Displays the pressure 1 scale factor (read-only).

Pressure 1 Scaling:

Displays the pressure 2 offset (read-only).

Pressure 2 Scaling:

Displays the pressure 2 scale factor (read-only).

Directional

DI Reset Delay (h:m:s)

If no DI packets are received after waiting this long, the device will cycle sensor power in an attempt to get the sensor working again.

<default = 00:04:00>

Toolface Crossover Angle Mode:

Toolface crossover angle will be determined by inclination from survey packets only.

Range: 2 to 6, 10, 15 , magnetic, gravitational

Version

Displays the directional sensor version (read-only).

Near Bit

Communication Mode

0 - Disabled

1 - One-way

2 - Two-way (Bidirectional)*

*This function is not yet available.

Listen Time (s):

How long the dipole will stop transmitting and listen for near bit data; a quiet time specifically for waiting for the near bit to respond.

Cancel Listen Before:

Survey includes data from directional sensors, such as angle or vector data.

Slide includes data usually from directional sensors, such as toolface and optionally gamma sensor data.

Rotate usually includes toolface data and optionally gamma data.

Pressure data can also be included in surveys, slide, and rotate conditions.

Near Bit Gamma Scaling:

This is a multiplier to the reported gamma data collected from the near bit.

Other

Configure whether to read temperatures from sensors local to the dipole or external.

Net Bus Baud Rate

Sets the net bus baud rate. The net bus baud rate of the sensors is set at the factory.

Use 2400 for the Model AP250.

Use 300 for the extended reach option (wireline).

<default = 2400>

Temperature Source

Sets the temperature source:

Local (Dipole Sensor)

External (Default: DI Sensor)


Battery Tab

Use the Battery tab to configure battery 1 and battery 2 to determine at which voltage the tool will switch from drawing power from the first battery to other batteries.

Battery Tab
Battery Selects the battery configuration. The dipole draws power from two batteries (battery 1 and battery 2). By default, auto switching is selected and battery 2 will be used until it is below a threshold voltage. Then both batteries will operate in parallel.
 | Battery Selected | Select from the following options: Battery 1 - Selects battery 1. Battery 2 - Selects battery 2. Allow Auto Switching - Allows auto switching between batteries. Both Batteries -Selects both batteries in parallel. <default = auto>
 | Battery 1 | Displays battery 1 status (read-only).
 | Battery 2 | Displays battery 2 status (read-only).
 | Battery Switching Threshold (V): | Select lithium or alkaline battery. Sets the threshold value that determines when a battery is low. When the primary battery (battery 2) drops below this voltage in autoswitching mode, the system will begin using both batteries in parallel. Lithium: Range: 22 to 27 in 0.5 V increments Alkaline: 16 to 27 on 0.5 V increments
 | Battery Shutdown (V): | Sets the voltage threshold at which battery power is considered too low to continue transmitting. When this voltage has been reached, the device will stop transmission after it has sent out two packets with a low voltage warning or after a ten minute timer has expired, whichever comes first. Range: 13 to 23 <default = 13.50>


Custom Packets Tab

Use the Custom Packets tab to create custom packet settings for devices.

Creating a custom packet consists of few simple steps and takes about 1 minute. The procedure for creating different types of custom packets is identical. The only difference is the fields added or removed from the original packet to create the custom packet. Follow the detailed procedure with screen shots or use the Quick Start.

Creating a 21-Bit High Resolution Packet

Creating a Shock and Vibration Packet

Quick Start

Custom Packets Tab
Choose Sequence to Customize: | Edit data sequence or downlink packets: 1 - Angle Survey + Toolface (CDS=1) 2 - Vectors (CDS=2) 3 - Angles + Gamma (CDS=3) 4 - Gamma Vector Survey + Toolface (CDS=4) 5 - Angles Survey Only (CDS=5) 6 - Gamma Angles Survey Only (CDS=6) 7 - Angle + Pressure (CDS=7) 8 - Vectors + Pressure (CDS=8) 9 - Pressure & Gamma Angle Survey + Toolface (CDS=9) 10 - Vectors + Pressure + Gamma (CDS=10) 11 - Toolface Only (CDS-11) 12 - Toolface Only + Gamma (CDS=12) 13 - River Crossing (CDS=13) 14 - Angles + Precision Gamma (CDS=14) 15 - Near Bit/Short Angle Survey (CDS=15) Edit Downlink Packets Begin Downlink: Packet 2 End Downlink: Packet 3
Custom: | Displays the packet number for a custom packet. Displays None when default packet fields are used.
Available Packets Fields: | Lists all fields that can be added to the packet (maximum 50 fields).
 | Adds selected (highlighted) fields from Available Packet Fields: to the bottom of the packet (above the CRC). Multiple fields can be selected individually and then added. Exception: End Packet must be the last field in the packet.
 | Removes selected (highlighted) fields from the packet. Multiple fields can be selected individually and then removed. Exception: Packet Number + Toolface Type and End Packet cannot be deleted.
 | Changes the order of a selected (highlighted) field in a packet by moving it up one position at a time. Exception: Packet Number + Toolface Type must be the first field in the packet.
 | Changes the order of a selected (highlighted) field in a packet by moving it down one position at a time. Exception: End Packet must be the last field in the packet.
Field Count | Displays the field count or updates it when packets have been added or removed.
Bit Count | Displays the bit count of packets or updates it when packets have been added or removed.
Transmit Time(s) | Estimates the time to transmit the updated packets at a specified frequency listed on the Basic tab under Data Transmission > Frequency.
 | Returns the packet fields to their original fields before custom packets were defined.

A packet is transmitted within a sequence, which consists of instructions in the following order:

1. The first data field in a packet is always Packet Number + Toolface Type.

2. A series of data fields follow.

3. The field before the last is usually a CRC computation.

4. The final data field is always End Packet.

There is a limit of 50 fields in a packet.

The following message appears when the limit has been reached and the field count displays 50.


- Quick Start

To create a custom packet, follow these steps.

Create a Custom Packet (Configuration Utility)

1. Collect the device configuration (Device > Collect All Configuration).

2. Custom Packets Tab - Select a sequence to customize under Choose Sequence to Customize.

3. Add or remove the desired fields in the packet.

4. Save the custom packet configuration to a file (File > Save All Configuration To File).

5. Reprogram the device with the custom packets (Device > Write All Configuration).

Verify the Custom Packet (Configuration Utility)

1. Terminal Tab - Enter *,then ol ?, and then pop ? to view the custom packet.

2. Basic Tab - Select any sequence containing the custom packet in Data Transmission.

3. Dipole Control Tab - Select Start Transmission.

4. Terminal Tab - Verify the custom packets are transmitted.

Verify the Custom Packet (Detect)

1. Load the custom packet file just created (File > Select Custom Packet File).

2. View the custom packet under Custom Packet Definitions.


- Create Shock and Vibration Packets

To create a shock and vibration custom packet and then verify the packet was successfully created, follow these steps.

See also Quick Start.

Create a Custom Packet (Configuration Utility)

Verify the Custom Packet (Configuration Utility)

Verify the Custom Packet (Detect)

Create a Custom Packet (Configuration Utility)

1. Collect the device configuration.

Select Device > Collect All Configuration.

Status bar:

Collecting current configuration. Please wait.

Current configuration displayed.

2. Select the Custom Packets tab.

3. Select 6 - Gamma Angles Survey Only (CDS=6) under Choose Sequence to Customize: (or any other sequence with a survey: packet 1).

4. Add the shock and vibration field under the Available Packet Fields: by scrolling down and selecting Shock & Vibration Levels (Colors Only) and clicking [image].

Adding the Vibration (RMS) (Colors and Values) field adds only vibration to the packet.

The various shock only packets (fields beginning with Shock) are only used for diagnostics.

The field count and bit count reflect the updated fields under Survey: Packet 1.

The Transmit Time(s) reflects the time it will take to transmit the custom packets at the listed frequency.

The frequency is the same as listed on the Basic tab under Data Transmission > Frequency.

Shock and vibration values are color coded, representing a range of values displayed in Detect and Virtual Drill.

Shock Levels
 | Green | < 17 gees
 | Yellow | 17 to < 26 gees
 | Orange | 26 to < 35 gees
 | Red | 35+ gees

Vibration Levels
 | Green | < 4 gees
 | Yellow | 4 to < 6 gees
 | Orange | 6 to < 8 gees
 | Red | 8+ gees

5. Save the custom packets configuration to a file.

Select File > Save All Configuration To File.

6. Reprogram the device with the custom packets.

Select Device > Write All Configuration

Status bar:

Downloading Configuration to Device. Please wait.

Download complete.

Verify the Custom Packet (Configuration Utility)

1. Scroll through Choose Sequence to Customize: until you find a packet 1, such as to 3 - Angles + Gamma (CDS=3).

All occurrences of packet 1 were replaced with the custom packet.

2. Select the Terminal tab.

3. Enter these commands to verify the custom packets were created for packet 1.

*

ol ?

The custom packet 1 (overlay b) is displayed. Note the parameter b is used with the pop command below.

pop b ?

The contents of the custom packet is displayed.

Select a sequence for the dipole to transmit that contains the customized packet, Survey: Packet 1.

Any of the following sequences can be selected, because they all contain this packet.

3 - Angles + Gamma (CDS=3)

6 - Gamma Angles Survey Only (CDS=6)

9 - Pressure & Gamma Angle Survey + Toolface (CDS=9)

4. Select the Basic tab and select 6 - Gamma Angles Survey Only (CDS=6) under Data Transmission.

5. Select Dipole Control > Start Transmission.

Status bar:

Starting Transmission. Please wait.

6. Select the Terminal tab to verify the custom packets transmitted.

Verify the Custom Packet (Detect)

1. Run Detect and load the custom packet file just created.

Select File > Select Custom Packet File.

See Detect EM Dipole Help.

The Select Custom Packet File windows appears.

Do Not Use Custom Packets must not be checked.

4. Browse for the custom packet file (.cfg).

A dialog box opens.

5. Select the custom packet file and Open.

6. Select Overlay B: Packet 1 to see the custom packet.

Detect displays the custom packets during a bit run.


- Create 21-Bit High Resolution Packets

To create a 21-bit high resolution custom packet and then verify the packet was successfully created, follow these steps.

See also Quick Start.

Create a Custom Packet (Configuration Utility)

Verify the Custom Packet (Configuration Utility)

Verify the Custom Packet (Detect)

Create a Custom Packet

1. Collect the device configuration.

Select Device > Collect All Configuration.

Status bar:

Collecting current configuration. Please wait.

Current configuration displayed.

2. Select the Custom Packets tab.

3. Select 6 - Gamma Angles Survey Only (CDS=6) under Choose Sequence to Customize: (or any other sequence with a survey: packet 1).

4. Select (highlight) each field under Survey: Packet 1 and then click [image], leaving only CRC (8-bit), Packet Number + Toolface Type, and End Packet.

Packet Number + Toolface Type and End Packet cannot be removed.

The following error message appears if you try to remove either field.

5. Add the following 21-bit fields under the Available Packet Fields: by selecting each field and then clicking [image].

Acc X (21-bit)

Acc Y (21-bit)

Acc Z (21-bit)

Mag X (21-bit)

Mag Y (21-bit)

Mag Z (21-bit)

The field count and bit count reflect the updated fields under Survey: Packet 1.

The Transmit Time(s) reflects the time it will take to transmit the custom packets at the listed frequency.

The frequency is the same as listed on the Basic tab under Data Transmission > Frequency.

6. Save the custom packet configuration to a file.

Select File > Save Configuration To File.

7. Enter a descriptive file name (without an extension) and Save.

The configuration file is saved with a file extension .cfg.

8. Reprogram the device with the custom packets.

Select Device > Write All Configuration.

Status bar:

Downloading Configuration to Device. Please wait.

Download complete.

Verify the Custom Packet (Configuration Utility)

1. Scroll through Choose Sequence to Customize: until you find a packet 1, such as to 3 - Angles + Gamma (CDS=3).

All occurrences of packet 1 were replaced with the custom packet.

2. Select the Terminal tab.

3. Enter these commands to verify the custom packets were created for packet 1.

*

ol ?

The custom packet 1 (overlay b) is displayed. Note the parameter b is used with the pop command below.

pop b ?

The contents of the custom packet is displayed.

Select a sequence for the dipole to transmit that contains the customized packet, Survey: Packet 1.

Any of the following sequences can be selected, because they all contain this packet.

3 - Angles + Gamma (CDS=3)

6 - Gamma Angles Survey Only (CDS=6)

9 - Pressure & Gamma Angle Survey + Toolface (CDS=9)

4. Select the Basic tab and select 6 - Gamma Angles Survey Only (CDS=6) under Data Transmission.

5. Select Dipole Control > Start Transmission.

Status bar:

Starting Transmission. Please wait.

6. Select Terminal to view the transmitted custom packets.

Verify the Custom Packet (Detect)

1. Run Detect and load the custom packet file just created.

Select File > Select Custom Packet File.

See Detect EM Dipole Help.

The Select Custom Packet File windows appears.

Do Not Use Custom Packets must not be checked.

2. Browse for the custom packet file (.cfg).

A dialog box opens.

3. Select the custom packet file and Open.

4. Select Overlay B: Packet 1 to view the custom packet.

Detect displays the custom packets during a bit run.


Short Hop Basic Tab

Use the Short Hop Basic tab to configure short hops.

Short Hop Basic Tab
Short Hop Identification
 | Firmware: | Displays the firmware version (read-only).
 | S/N: | Displays the serial number (read-only).
Date and Time on Short Hop
 | Date | Displays or sets the short hop date. YYYY/MM/DD
 | Time | Displays or sets the short hop real-time clock. HH:MM:SS
Battery
 | Battery in Use: | 1 2 Both <default = both>
 | Battery 1 (V): | Displays battery 1 voltage (read-only).
 | Battery 2 (V): | Displays battery 2 voltage (read-only).
 | Threshold | Sets the threshold for low battery voltage.
Pressure
 | Pressure 1: | Displays pressure 1 in psi (read-only).
 | Pressure 2: | Displays pressure 2 in psi (read-only).
 | Pressure 1 Offset: | Displays pressure 1 offset (read-only).
 | Pressure 2 Offset: | Displays pressure 2 offset (read-only).
 | Pressure 1 Scaling: | Displays pressure 1 scaling (read-only).
 | Pressure 2 Scaling: | Displays pressure 2 scaling (read-only).
 | Set Both Pressure Offsets | Check the box to enter offsets for pressure 1 and 2.
 | Set Both Pressure Scales | Check the box to enter scaling for pressure 1 and 2.
 | Set Both Pressure Scales Individually | Check the box to enter pressure 1 scaling only.
 | Do Not Set Scales | Check the box to disable entering pressure scales.
Misc
 | Rotation Threshold (RPM): |
 | Transmit Sequence: | 0 - Custom 1 - Standard 2 - Near Bit 3 - Test 4 - Rotary Steerable
 | Net Baud Rate: | 300 1200 2400 4800 9600 14400 38400
 | Frequency/Baud: | A - 34.286 Hz / 10.5494 Baud B - 20 Hz / 11.4286 Baud C - 20 Hz / 8.8889 Baud D - 30 Hz / 24.0 Baud E - 10 Hz / 5.7143 Baud F - 5 Hz / 2.857 Baud G - 45 Hz / 20 Baud
Transmission
 |  | Begins short hop transmission.
 |  | Pauses short hop transmission.
 | Set Pause (hh:mm:ss) | Sets the pause time.
 | Remaining (hh:mm:ss) | Displays the remaining pause time.
Log Settings
 | Log Delay (s) | Sets the time before logs are recorded.
 | Size of Records (bytes) | Displays the size of log records (read-only).
 | Total Memory (bytes): | Displays the size of log memory (read-only).
 | Log Records Used: | Displays the number of log records used (read-only).
 | Unused: | Displays the number of log records remaining (read-only).
 | Total: | Displays the total number of log records (read-only).
 |  | Deletes the log after user confirmation.


Short Hop Timers Tab

Use the Short Hop Timers tab to configure timers for short hops.

Short Hop Timers Tab
Timers
 | Quiet Time (hh:mm:ss) | Sets the time when the short hop will stop transmitting and listen for data.
 | Startup Delay (hh:mm:ss) | Sets a delay before the dipole begins sending data.
 |  | Begins the timer for the startup delay.
 |  | Pauses the timer for the startup delay.
 |  | Disables the startup delay when the box is checked. <default = off>


Dipole Control Tab

Use the Dipole Control tab to configure dipole transmission.

Dipole Control Tab
 |  | Starts sending data immediately without changing the startup delay.
 |  | Stops sending data.
 |  | Puts the dipole into a low power mode for long-term storage.
Wake On Rotation This feature allows the dipole to automatically start transmitting when rotation has begun. Rotation must be enabled.
 |  | Disables wake on rotation.
 |  | Enables wake on rotation.
Final Setup
 |  | Puts the system to sleep until drilling begins. Starts the timers to begin sending data after the startup delay. Dipole will not transmit until the startup delay is complete to save power when not drilling. The startup delay is set in the basic tab under the power section.
 |  | Stops the timers before the dipole begins sending data.
 | Transmit Timeout (hh:mm:ss): | Auto reboot if transmission stops. The dipole will start to transmit when this time period expires, except when waiting for the startup timer to expire or if and when Wake from Rotation is executed. This feature ensures transmission when the dipole is downhole and the processor has locked up. Range: 00:02:00 to 02:00:00 <default = 0>
 |  | Disables transmit timeout when the box is checked. <default = unchecked>


WITS Config Tab

Coming Soon!


Terminal Tab

Use the Terminal tab to enter commands to communicate with devices.

Below are some commonly used commands and their output.

Enter the commands at the command prompt >.

Click Pause Terminal to stop the screen from scrolling to view output.

1. Enter * to reset the dipole.

2. Enter cde to display the encoding mode.

3. Enter cdf to display the device frequency.

4. Enter cds to display the data sequence selected.

4. Enter ?, press the space bar, and use the scroll bar to view a list of basic and advanced commands.


Additional Information

COM Ports


COM Ports

To see which COM port the device is using, follow these steps.

1. Run Microsoft Device Manager.

2. Select Ports.

COM ports connecting devices to the MWD laptop are displayed.